%define		fontname	dejavu
%define		fontdir		%_datadir/fonts/%{fontname}
%define		fontconfdir	%_sysconfdir/fonts/conf.d
%define		archiveversion	2.28
%define		archivename	%{name}-%{archiveversion}

# Let the perl maintainer worry about Unicode.org data files
%define Blocks          %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%define UnicodeData     %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/UnicodeData.txt

Name:		%{fontname}-fonts
Version:	%{archiveversion}
Release:	1
Summary:	DejaVu fonts, mature typefaces
Group:		Fonts
License:	Modifiable & redistributable, with naming restrictions
URL:		http://%{fontname}.sf.net/
Source0:	%{archivename}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	fontforge >= 20081215
BuildRequires:	perl(Font::TTF)

# Needed to compute unicode coverage
BuildRequires:	%{Blocks} %{UnicodeData}

BuildArch:	noarch

%description
The DejaVu fonts are a font family based on the "Bitstream Vera" fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes the typefaces the DejaVu project considers mature.

%package	experimental
Group:		%{group}
Summary:	DejaVu fonts, experimental typefaces
# Does not really make sense without the core typefaces
Requires:	%{name} = %{version}-%{release}

%description	experimental
The DejaVu fonts are a font family based on the "Bitstream Vera" fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes the typefaces the DejaVu project considers experimental.

%package	-n %{fontname}-lgc-fonts
Group:		%{group}
Summary:	DejaVu fonts, Latin Greek Cyrillic subset

%description	-n %{fontname}-lgc-fonts
The DejaVu fonts are a font family based on the "Bitstream Vera" fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes a subset of DejaVu typefaces limited to Latin, Greek and
Cyrillic glyphs.

%post
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache %{fontdir}
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache %{fontdir}
  fi
fi

%post experimental
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache %{fontdir}
fi


%postun experimental
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache %{fontdir}
  fi
fi

%post -n %{fontname}-lgc-fonts
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache %{fontdir}
fi

%postun -n %{fontname}-lgc-fonts
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache %{fontdir}
  fi
fi

%prep
%setup -q -n %{archivename}

%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" \
     BLOCKS=%{Blocks} UNICODEDATA=%{UnicodeData}

%check
make check

%install
rm -fr $RPM_BUILD_ROOT

# Fonts
install -m 0755 -d $RPM_BUILD_ROOT%{fontdir}
install -m 0644 -p build/*.ttf $RPM_BUILD_ROOT%{fontdir}

# Fontconfig tweaks
install -m 0755 -d $RPM_BUILD_ROOT%{fontconfdir}
install -m 0644 -p fontconfig/*conf $RPM_BUILD_ROOT%{fontconfdir}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS LICENSE NEWS README
%doc build/unicover.txt build/langcover.txt build/status.txt
%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}-sans*.conf
%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}-serif.conf
%config(noreplace) %{fontconfdir}/57-%{fontname}-sans*.conf
%config(noreplace) %{fontconfdir}/57-%{fontname}-serif.conf
%dir %{fontdir}
%{fontdir}/*.ttf
%exclude %{fontdir}/DejaVu*Condensed*.ttf
%exclude %{fontdir}/DejaVu*ExtraLight*.ttf
%exclude %{fontdir}/DejaVuSerif*Italic.ttf
%exclude %{fontdir}/DejaVuLGC*.ttf

%files experimental
%defattr(0644,root,root,0755)
#%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}-experimental.conf
#%config(noreplace) %{fontconfdir}/61-%{fontname}-experimental.conf
%{fontdir}/DejaVu*Condensed*.ttf
%{fontdir}/DejaVu*ExtraLight*.ttf
%{fontdir}/DejaVuSerif*Italic.ttf
%exclude %{fontdir}/DejaVuLGC*.ttf

%files -n %{fontname}-lgc-fonts
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS LICENSE NEWS README
%doc build/unicover-lgc.txt build/langcover-lgc.txt
%config(noreplace) %{fontconfdir}/20-unhint-small-%{fontname}-lgc*.conf
%config(noreplace) %{fontconfdir}/58-%{fontname}-lgc*.conf
%dir %{fontdir}
%{fontdir}/DejaVuLGC*.ttf

%changelog
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.28-1
- version update
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.24-1
- Initial release
